Bug 32578 - ucs_isServiceUnused & selective replication
ucs_isServiceUnused & selective replication
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-lib
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Felix Botner
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 14:56 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-09-12 14:56:06 CEST
The function ucs_isServiceUnused uses univention-ldapsearch without any further parameter. The result is only a local search and that is a problem in a selective replication environment, e.g. UCS@school.
Comment 1 Stefan Gohmann univentionstaff 2013-09-12 14:57:39 CEST
All ucs_isServiceUnused calls should be checked, for example the UVMM daemon uinst script.
Comment 2 Felix Botner univentionstaff 2013-10-01 13:02:33 CEST
univention-pkgdb - 
  Added credentials to ucs_isServiceUnused in unjoin script

univention-virtual-machine-manager-daemon - 
  Added credentials to ucs_isServiceUnused in unjoin script

univention-lib - 
  ucs_isServiceUnused now always searchs on the ldap/master 
  and understands --binddn|--bindpw as options
Comment 3 Stefan Gohmann univentionstaff 2013-10-30 14:51:30 CET
Code: OK
Test: OK
Changelog: OK
Comment 4 Stefan Gohmann univentionstaff 2013-11-19 06:42:44 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".